# -*- coding: utf-8 -*-
%define	version	0.9.9.6
%define release alt1

%setup_python_module ctypes

Summary: C libraries and data types wrapper helper for Python
Summary(ru_RU.UTF-8): Обертка для доступа к библиотекам и типам данных языка C из Python
Name: %packagename
Version: %version
Release: %release.1
Source: %modulename-%version.tar.gz
License: MIT
Group: Development/Python
Prefix: %_prefix
Url: http://starship.python.net/crew/theller/ctypes/

%description
ctypes is an advanced ffi (Foreign Function Interface) package for
Python 2.3 and higher.

ctypes allows to call functions exposed from dlls/shared libraries and
has extensive facilities to create, access and manipulate simple and
complicated C data types in Python - in other words: wrap libraries in
pure Python. It is even possible to implement C callback functions in
pure Python.

ctypes now includes a code generator toolchain which allows automatic
creation of library wrappers from C header files. This feature is
still experimental and beta quality.

This module is built for python %__python_version

%description -l ru_RU.UTF-8
ctypes - пакет, обеспечивающий интерфейс для доступа к функциям
не-Python языков из Python 2.3 и выше.

ctypes позволяет вызывать функции, доступные из разделяемых библиотек
и предоставляет разнообразные средства для создания, доступа и
манипуляции простыми и сложными типами данных языка C из Python -
другими словами, ctypes позволяет "обернуть" библиотеки на C для
работы в Python. Возможно даже вызывать функции, реализованные на
Python из C - например, callback-функции.

ctypes также включает в себя цепочку инструментов для автоматического
создания оболочек библиотек из файлов заголовков C. Эта возможность
все еще экспериментальная и считается beta.

Этот модуль собран для Python версии %__python_version

%package -n python-%modulename-doc
Summary: %modulename documentation and example programs
Summary(ru_RU.UTF-8): Документация по API и примеры программ для %modulename
Group: Development/Python
Prefix: %_prefix
Requires: python-%modulename = %version
%description -n  python-%modulename-doc
%modulename provides means to access C libraries and data types from
Python. Install python-%modulename-doc if you need API documentation
and examples for this module

%description -n  python-%modulename-doc -l ru_RU.UTF-8
%modulename предоставляет способ обращаться к библиотекам на C и
использовать типы данных этого языка из Python. Установите
python-%modulename-doc, если Вам требуется документация по API и
примеры программирования с использованием данного модуля.

%prep
%setup -q -n %modulename-%version

%build
env CFLAGS="$RPM_OPT_FLAGS -fPIC" %__python setup.py build

%install
%__python setup.py install --root=$RPM_BUILD_ROOT --optimize=2 --record=INSTALLED_FILES

%files -f INSTALLED_FILES
%doc README.txt ChangeLog ANNOUNCE ACKS LICENSE.txt ctypes-dev.el

%files -n python-%modulename-doc
%doc docs

%changelog
* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 0.9.9.6-alt1.1
- Rebuilt with python-2.5.

* Sun Jun 18 2006 Mikhail Yakshin <greycat@altlinux.org> 0.9.9.6-alt1
- 0.9.9.6
- Fixes problem with gcc4.1 build

* Tue Nov 29 2005 Mikhail Yakshin <greycat@altlinux.org> 0.9.6-alt2
- Fixed TEXTREL problem that pestered i586 build, standartized spec (thanks to ns@)

* Sun May 15 2005 Mikhail Yakshin <greycat@altlinux.org> 0.9.6-alt1
- Initial build for ALT Linux

